f



OS X 10.6 pip compile error

Hi all, how do i fix this?

$ sudo pip install lightblue
Downloading/unpacking lightblue
  Downloading lightblue-0.4.tar.gz (204Kb): 204Kb downloaded
  Running setup.py egg_info for package lightblue

Installing collected packages: lightblue
  Running setup.py install for lightblue

    Build settings from command line:
        DEPLOYMENT_LOCATION = YES
        DSTROOT = /
        INSTALL_PATH = /Library/Frameworks


    === BUILD NATIVE TARGET LightAquaBlue OF PROJECT LightAquaBlue
WITH CONFIGURATION Release ===
    Check dependencies
    GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file
BBBluetoothOBEXClient.m)
    GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file
BBBluetoothOBEXClient.m)
    ** BUILD FAILED **

Successfully installed lightblue
Cleaning up...
0
3/13/2011 12:04:10 PM
comp.lang.python 77058 articles. 6 followers. Post Follow

0 Replies
605 Views

Similar Articles

[PageSpeed] 14

Reply:

Similar Artilces:

[ace-users] ACE: Compile on Mac OS X 10.6.8 failed: error: #error ucontext routines are deprecated
ACE VERSION: 6.0.3 HOST MACHINE and OPERATING SYSTEM: =20 Mac OS X 10.6.8 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): GCC 4.2.1 THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: include "ace/config-macosx-snowleopard.h" THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C++)]: include = $(ACE_ROOT)/include/makeinclude/platform_macosx_snowleopard.GNU INSTALL_PREFIX =3D /opt/orb/ace+tao BUILD METHOD USED: [Experimental ./configure or traditional makefile/project file?] traditional CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): does not exist ... AREA/CLASS/EXAMPLE AFFECTED: Compile of ACE failed. DOES THE PROBLEM AFFECT: COMPILATION? YES. LINKING? N/A On Unix systems, did you run make realclean first? No. EXECUTION? N/A OTHER (please specify)? [Please indicate whether ACE, your application, or both are affected.] SYNOPSIS: [Brief description of the problem] Compile on Mac OS X 10.6.8 failed: error: ...

2.10 compile error on OS X 10.8.2
(Sort of) first-time (Al)pine user here. (I tried to use Alpine when I was younger but never used it after.) I seem to be having some trouble with compiling 2.10 under OS X 10.8.2: Undefined symbols for architecture x86_64: "_sk_OPENSSL_STRING_num", referenced from: _get_x509_subject_email in libpith.a(smkeys.o) "_sk_OPENSSL_STRING_value", referenced from: _get_x509_subject_email in libpith.a(smkeys.o) ld: symbol(s) not found for architecture x86_64 collect2: ld returned 1 exit status make[4]: *** [alpine] Error 1 make[3]: *** [all-recursive] Error 1 make[2]: *** [all] Error 2 make[1]: *** [all-recursive] Error 1 make: *** [all] Error 2 From what I gather, it's a problem that is related with openSSL. When I use the `file` command on the openssl binary, it says that it has both i386 (x86) and x86_64 architectures. Do I need to install a newer version of openSSL? I use Homebrew. Thanks. -- Mark Seymour Le 26 f�vrier 2013, mark.seymour.ns@gmail.com a �crit : > Undefined symbols for architecture x86_64: > "_sk_OPENSSL_STRING_num", referenced from: > _get_x509_subject_email in libpith.a(smkeys.o) > "_sk_OPENSSL_STRING_value", referenced from: > _get_x509_subject_email in libpith.a(smkeys.o) > ld: symbol(s) not found for architecture x86_64 > collect2: ld returned 1 exit status > make[4]: *** [alpine] Error 1 > make[3]: *** [all-recursive] Error 1...

Error in compiling Python on OS X
I am trying to compile Python 2.6.2 on Mac OS X 10.5.7. I have Xcode 3.1.3 installed. The error I got is below. $ ./configure --prefix=/Users/me/python checking for --with-universal-archs... 32-bit checking MACHDEP... darwin checking EXTRAPLATDIR... $(PLATMACDIRS) checking machine type as reported by uname -m... i386 checking for --without-gcc... no checking for gcc... gcc checking for C compiler default output file name... configure: error: C compiler cannot create executables See `config.log' for more details. Please send any ideas. Kevin schrieb: > I am trying to compile Python ...

can't compile bdb 0.6.5 on Mac OS X Snow Leopard (10.6.1)
I'm trying to use Ruby-WordNet on my recently-Snow-Leopard-upgraded Mac, and I'm getting an error saying that it can't find the bdb library: /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- bdb (LoadError) from /Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in `require' /Library/Ruby/Gems/1.8/gems/wordnet-0.0.5/lib/wordnet/lexicon.rb:34 [snip] Predictably, line 34 of lexicon.rb says: 34 require 'bdb' I used porticus to install the macports package for rb-bdb, and it says I have 0.6.5_0 installed: ...

Are Mac OS X 10.5.8's iLife programs safe to use in Mac OS X 10.7.x and 10.8.x?
Hi. Someone told me that Mac OS X 10.7.x and 10.8.x do not come with iLife like the older Mac OS X versions (e.g., 10.5.x). I did not know this! Since my client uses iPhoto that came preinstalled on his old 2008 MacBook Pro's Mac OS X 10.5.x (10.5.8 right now), can he use the old one from 10.5.8? Or will he need a third party replacement (needs to import/copy the old image files) or buy a new iPhoto version for his photo(graph)s? I recalled he did not like iPhoto and wonder if the new one is any better. Thank you in advance. :) -- Quote of the Week: "Every ruler...

Mex yprime.c compile failed matlab r2010a mac os x 10.6.6 xcode 4 gcc v4.2.1
Dear all, I am new to this topic. I just wanted to follow the steps to build a mex file from my mac. I am using a matlab r2010a on a mac with os x 10.6.6. I have the xcode4 installed. After typed in mex -setup in the matlab prompt, the output are as follows, Options files control which compiler to use, the compiler and link command options, and the runtime libraries to link against. Using the 'mex -setup' command selects an options file that is placed in ~/.matlab/R2010a and used by default for 'mex'. An options file in the current working directory or spe...

OS X 10.6.2 / Eudora 6.2.4
Hi, I have never done this before and I am just about desperate to get eudora functioning again. I have used eudora for @15 years and it suits my needs perfectly. Although I have had issues in the past something occurred in mid-November which I have not been able to resolve and, in the process, messed up some settings. No one that I know knows how to correct this so I am hoping one of you might. So, around mid-November I suddenly was not able to send an e-mail using eudora. One of the error messages I keep getting is "Server not responding. 706". Another is "...

Compiling plan9port under Mac OS X 10.6
Has anyone had success with compiling plan9port under Mac OS X 10.6 (Snow Leopard)? I've submitted an issue report at http://code.swtch.com/plan9port/issue/27/compiling-under-snow-leopard that provides the error messages I received. I then tried adding CC9=gcc -m32 to a $PLAN9/LOCAL.config file, but when running ./install I ended up with a variety of the following errors: >>> /Users/--/plan9/config: line 1: -m32: command not found Does anyone have any suggestions? Thanks. On Thu, Sep 3, 2009 at 2:53 AM, plus 852<plus852@gmail.com> wrote: > Has anyone had success with ...

chronic error with python on mac os/x 10.5
Although I am experiencing this problem using a specific domain library (pjsip). Googling this issue show that it is happening to many libraries in python on mac. I was wondering whether anyone solved this or alike in the past and might share what steps were taken. Note: this python lib works fine on other platforms (posix, win, and earlier versions of mac os x) >>> import py_pjsua Traceback (most recent call last): File "<stdin>", line 1, in <module> ImportError: dlopen(/Library/Frameworks/Python.framework/Versions/2.5/ lib/python2.5/site-packages/py_pjsua.s...

tar error on mac os x 10.2.6
tar -xvfz bie-unix-5.5.1.tar.gz tar: Failed open to read on z <No such file or directory> but, tar xvfz bie-unix-5.5.1.tar.gz and tar -xvzf bie-unix-5.5.1.tar.gz work does anyone know what accounts for the last two formats working? -- mark andrew nassy, <URI:mailto:nassy@mac.com> In article <nassy-4A9DA9.18382706092003@nycmny-nntp-rdr-03-ge1.rdc-nyc.rr.com>, mark andrew nassy <nassy@mac.com> wrote: > tar -xvfz bie-unix-5.5.1.tar.gz > tar: Failed open to read on z <No such file or directory> > > but, > > tar xvfz bie-unix-5.5.1.tar.gz...

Cannot compile CVS current on Mac OS X 10.2.6
Attached is compilation error messages of current CVS: gcc -traditional-cpp -O2 -Wall -Wmissing-prototypes -Wmissing-declarations -I../../../src/include -c -o pqcomm.o pqcomm.c pqcomm.c: In function `StreamServerPort': pqcomm.c:280: parse error before '<<' token pqcomm.c:291: case label not within a switch statement pqcomm.c:296: case label not within a switch statement pqcomm.c:300: `default' label not within a switch statement pqcomm.c:309: parse error before '>>' token pqcomm.c:208: warning: unused variable `err' pqcomm.c:209: warning: un...

matlab 2009b Mac OS X 10.6 java error
I think I'm having a problem with my mac (OS X 10.6.2) and I'm guessing it's due to a recent java update (Update 1 for OS X 10.6 was just released). When I try to start matlab 2009b now I get the following error: Issuing the command, 'java -version' resulted in: "Shared archive: uninstalled generation" I do indeed get the same error when I type in java -version from a terminal window. I'm not exactly sure what the problem is (incorrect path?). I definitely have the update, but it seems to not be found. Any suggestions? Thanks, Matthew ...

2.6.0
Hi all, I'm doing a double upgrade, up to Tiger and up to 2.6 (2.6 upgrade fixed loads of things in the Windows version, looks great guys). I'm configuring and building against the 10.2 SDK, and it builds without too many problems (once the webkit patch was applied). However, whenever I link my app, I'm getting undefined symbols as follows: wxWindowBase::RegisterHotKey(int, int, int) wxWindowBase::UnregisterHotKey(int) wxSystemOptions::GetOptionInt(wxString const&) wxSystemOptions::HasOption(wxString const&) wxDataInputStream::Read32() wxDataOutputStream:...

ACE compile error on Mac OS X 10.5.8 Leopard
ACE VERSION: 5.7.5 HOST MACHINE and OPERATING SYSTEM: Mac OS X 10.5.8 Darwin ccde007.local 9.8.0 Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386 i386 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: Same machine THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: #include "ace/config-macosx-leopard.h" THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, ...

Error in MSN 5.1.1 on OS X 10.4.6
Hi All, I recently opened MSN messenger and a dialog box popped up prompting me to upgrade to MSN 5.1.1 in order to continue and access the MSN service. I went to the Microsoft website and downloaded and installed MSN messenger 5.1.1. Now whenever I try and log in I get the following error message: "Sign in failed because the password is incorrect or the sign-in name does not exist. If you have forgotten your password, choose Help topic from the Help menu." - My password and sign in ID are not incorrect! I can log in using the web messenger service (http://webmessenger.msn.com) ...

SSL Client Certificate error on Mac OS X 10.6.4
Client Certificate error on Mac OS X 10.6.4 -------------------------------------------------------------------------------- I've been trying to connect to a web service over https where the service requires the client to be authenticated using a server signed certificate (note the server's certificate is signed from a trusted root certification authority). The code below shows a sample that I used to test the communication (with some tweak to hide my own details). The code works OK on Windows and Linux (kernel 2.6.x) systems, but fails on Mac OS X 10.6.4 with (Timeout::Error). When ...

Python 2.6.1 urllib error on Mac os x PPC
hi, i trying to compile Python 2.6.1 on Mac OS X (ppc). After configure/make/make install i test the compiled python with the followig file (t.py) (example from http://docs.python.org/library/urllib.html): ------------- import urllib params = urllib.urlencode({'spam': 1, 'eggs': 2, 'bacon': 0}) f = urllib.urlopen("http://www.musi-cal.com/cgi-bin/query", params) print f.read() ------------- and i get this error: python /tmp/t.py Traceback (most recent call last): File "/tmp/t.py", line 3, in <module> f = urllib.urlopen("http://www...

Error trying to make Tk.pm on Mac OS X 10.6.8
Using cpan to install Tk (which defaults to 804.29), using a terminal window on Mac OS X, the many compiles proceed normally until near the end it reachs libpng, then fails with gcc-4.2: -E, -S, -save-temps and -M options are not allowed with multiple -arch flags Any suggestions? The complete command in error is gcc-4.2 -DHAVE_CONFIG_H -I. -I. -I. -DPNG_CONFIGURE_LIBPNG - DPNG_NO_ASSEMBLER_CODE -arch x86_64 -arch i386 -arch ppc -g -pipe -fno- common -DPERL_DARWIN -fno-strict-aliasing -I/usr/local/include -MT libpng12_la-png.lo -MD -MP -MF .deps/libpng12_la-png.Tpo -c png.c -...

Compilation errors sendmail 8.13.4 Mac OS X 10.4
When I try to recompile sendmail 8.13.4 using gcc 4.4 with Mac's new OS (10.4), the compilation fails, but does not exit, with the following error: cc -pipe -M -I. -I../../include -I/usr/local/include/sasl -DSASL=2 -DMILTER -DMAP_REGEX -DNETINFO -DAUTO_NETINFO_ALIASES -DAUTO_NETINFO_HOSTS -DMATCHGECOS -DSCANF -DXDEBUG -DSTARTTLS -DNEWDB -USERDB -DDARWIN main.c alias.c arpadate.c bf.c collect.c conf.c control.c convtime.c daemon.c deliver.c domain.c envelope.c err.c headers.c macro.c map.c mci.c milter.c mime.c parseaddr.c queue.c ratectrl.c readcf.c recipient.c sasl.c savemail.c sfsasl.c shmticklib.c sm_resolve.c srvrsmtp.c stab.c stats.c sysexits.c timers.c tls.c trace.c udb.c usersmtp.c util.c version.c >> Makefile conf.c:2362:24: error: sys/exec.h: No such file or directory make[1]: *** [depend] Error 1 Making in /Users/royar/src/sendmail-8.13.4/obj.Darwin.8.0.0.PowerMacintosh/sendmail The new sys does not have the exec.h file. Have any others seen this with gcc 4.4 or the new OS X? Did my install simply miss the file, or does conf.c need to be changed? Are there perhaps m4 configurations that need to be changed for the new system? -- Robert Delius Royar The email address is valid as it is written. You know, what this country needs is a seven-cent nickel. -Groucho Marx In article <Pine.OSX.4.62.0504282222130.647@teraqny.sevanohynk.bet>, r royar <royar-nomail@adelphia.net&...

Compiling python 2.5 on OS X 10.4.8 with bsddb support
Hi guys, I am trying to compile python 2.5 on my OSX machine so it includes the bsddb module. Currently, when I type 'import bsddb' I get the following traceback: /Users/yi/Software/sage-1.4.1.2/local/lib/python2.5/bsddb/__init__.py in <module>() 49 from bsddb3.dbutils import DeadlockWrap as _DeadlockWrap 50 else: ---> 51 import _bsddb 52 from bsddb.dbutils import DeadlockWrap as _DeadlockWrap 53 except ImportError: <type 'exceptions.ImportError'>: No module named _bsddb I have the db3 and db4 packages installed...

Error compiling scilab 4.1 on Mac OS X 10.3.9
I downloaded the source version of scilab 4.1 and ran the ./configure on Mac OS X 10.3.9 which went off well without errors. However, after a long running of "make all", it encountered a problem when it was the turn to compile scilex (several others compiled well). The error message was: cp pvmgs ../../lib/DARWIN done building group server and library making all in routines/Javasci... Makefile:24: Makefile.darwin: No such file or directory make[1]: *** No rule to make target `Makefile.darwin'. Stop. make: *** [scilex-lib] Error 2 I am not sure what to do now. Looks like the problem was the type of makefile that configure created on Mac OS X. Any help would be greatly appreciated. I have all the necessary gcc, tcl/tk libraries. Since the config.log file is too long to attach, for now I am not doing so. Thank you very much best regards Arun On Feb 15, 1:55 pm, Stephane Mottelet <motte...@nospam.gnark.gnark> wrote: - Hide quoted text - > arun...@gmail.com a =E9crit : > > Hi there, > > Is there a compiled version of scilab 4.1 for Mac OS X 10.3.9? I > No. > > notice that there is a pre-compiled version for Tiger. > > If not, can one download the source for linux and compile it in Mac? > Yes. > > What would be needed to do that? > The easiest way is to use Fink to fullfill the dependencies (tcltk, > Xaw3d, ncurses). Then a ./configure followed by a ma...

Bus Error asprintf. OS X 10.3.6. gcc 3.3
Hi, I don't seem to be able to get asprintf to work when compiling under OS X. Using the following code: #include <string.h> #include <stdio.h> int main() { char **w; asprintf(w,"fooo"); printf("%s\n",*w); return 0; } and compiling using gcc with the -lc and -Wall flags, I get no erros. The program runs spitting out a Bus Error. The same code on a Linux machine gcc 3.2.2 compiles and runs as expected. Any help would be great. Neil On Fri, 19 Nov 2004 09:18:27 -0800, Neil Dunn wrote: > Hi, > > I don't seem to be ab...

Bus Error when running perl Tk on OS X 10.3.6 (Panther)
Hi- I'm having a problem running some code on OS X 10.3.6 (Panther). I was able to install and run perl 5.8.5 without a problem, as well as Tk-804.027. I have a group of perl scripts that are currently running fine on RedHat Linux and SGI IRIX, both under perl 5.6.0 and 5.8.5. Some of these also run well on OS X. There are a few that crash with Bus Errors, however. In particular, certain Tk gui's. I've narrowed the problem down to certain incantations of the Tk::Label and Tk::Entry widgets. Here is a block of code with such a problem. The Bus Error is being dumped b...

Apple Mac OS X 10.6 support & compatability with Python 3 ?
I've been given a MAC AIR laptop with OS X 10.6 "Snow Leopard". On my desktop I dual boot with XP - Ubuntu and have Python on both. Unfortunately all my Python programs are written on Windows XP and I heavily rely on WConio for console I/O. Called Apple tech support. The technician had never heard of Python, ascertained the MAC AIR does not come preloaded with Python and did not know if Python 3 would run under OS X 10.6. This was "beyond" their expertise. Does anyone have experience with OS X ? Could I use WConio in a Windows emulator ? I have no experience with MACs and am debating whether to send this back before opening. Thanks. Dave WB3DWE On Dec 16, 2009, at 12:41 PM, pdlemper@earthlink.net wrote: > I've been given a MAC AIR laptop with OS X 10.6 "Snow Leopard". > On my desktop I dual boot with XP - Ubuntu and have Python on both. > Unfortunately all my Python programs are written on Windows XP and > I heavily rely on WConio for console I/O. > Called Apple tech support. The technician had never heard of Python, > ascertained the MAC AIR does not come preloaded with Python and > did not know if Python 3 would run under OS X 10.6. This was "beyond" > their expertise. Sounds like the tech you spoke to was a knucklehead. http://developer.apple.com/mac/library/documentation/Darwin/Reference/ManPages/man1/python.1.ht...

Web resources about - OS X 10.6 pip compile error - comp.lang.python

Compile (publisher) - Wikipedia, the free encyclopedia
Compile was a Japanese videogame developer, most notable for having developed the Puyo Puyo series, based on their Madou Monogatari franchise, ...

Information Is Power: Facebook Develops ThreatData To Compile Data On Web Threats
Part of being able to combat malware, phishing, and other online threats is gathering and consolidating as much data on those threats as possible, ...

Credit Suisse compiles yuan winners and losers list: report
... the lowers. A list of Australian winners and losers from the decision by China’s government to devalue the renminbi has reportedly been compiled ...

Beijing residents compile own death toll in flooding
Beijing residents fed up with a lack of official updates are compiling their own death tolls for last weekend's deadly floods in the capital, ...

New report compiles 25 years of UFO sightings in Canada
A Winnipeg group called Ufology Research has compiled and analyzed reported sightings of UFOs across Canada over the last 25 years.

China's nat'l library to compile book on Diaoyu Islands
China's nat'l library to compile book on Diaoyu Islands People's Daily Online ... States, Australia and the United Kingdom. The book is aimed ...

Googlers compile holiday search tips in rap video to help Santa with flight
Google is in full holiday swing (what, you haven't heard?). They just posted, on YouTube, a rap video that was put together by its employees, ...

Popular Dating Site Compiles 15 Stupid Reasons To Date A Lawyer
A new listicle describes a really horrible person to date and then says, “we think lawyers are probably this awful, go date them!” Continue ...

Author Compiles Lively L.A. Times History Lesson
Long before Eli Broad , Rupert Murdoch and people willing to pay $140 million for the Las Vegas Review-Journal, there was Harrison Gray Otis ...

Japan, China compile written pledge to improve ties ahead of summit
Japan and China reached a rare written agreement on Nov. 7 to improve relations strained by a territorial dispute over the Senkaku Islands in ...

Resources last updated: 3/7/2016 8:23:43 PM